import React, { Component } from 'react';
import { Meteor } from 'meteor/meteor';
import { createContainer } from 'meteor/react-meteor-data';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import Paper from 'material-ui/Paper';

import { Plugins } from '../api/collections/plugins';
import SideBar from './sidebar/SideBar.jsx';
import MapContainer from '../ui/mapeditor/MapContainer.jsx';
import MainContentContainer from './sidebar/MainContentContainer.jsx';
import SchoolConfig from '../ui/pluginmanager/plugins/schooldirectory/SchoolConfig.jsx';

class LayoutManager extends Component {
  constructor(props) {
    super(props);

    this.state = {
      objToRender: <MapContainer loadMap={this.loadMap} />,
    };
  }

    setComponentToRender = (obj) => {
      this.setState({ objToRender: obj });
    }

    loadPluginConfig = (name) => {
      this.props.installedPlugins.forEach((plugin) => {
        if (plugin.name === name) {
          console.log(`found matching plugin: ${  name}`);
          //this.setState({ objToRender: <SchoolConfig /> });
        }
      });
    }

    loadMap = () => {
      console.log('loading map...');
    }

    render() {
      return (
        <MuiThemeProvider>
          <Paper style={{ width: '100%', height: '100%' }}>
            <SideBar plugins={this.props.installedPlugins} loadPlugin={this.setComponentToRender} loadMap={this.loadMap} loadPluginConfig={this.loadPluginConfig} />
            <MainContentContainer reactObj={this.state.objToRender} />
          </Paper>
        </MuiThemeProvider>
      );
    }
}

export default createContainer(() => {
  Meteor.subscribe('plugins');

  return {
    currentUser: Meteor.user(),
    installedPlugins: Plugins.find({ installed: true }).fetch(),
  };
}, LayoutManager);
