import React, { Component } from 'react';
import {Meteor} from 'meteor/meteor';
import { Accounts } from 'meteor/accounts-base';
import Popup from 'react-popup';
import RaisedButton from 'material-ui/RaisedButton';
import TextField from 'material-ui/TextField';

export default class LoginWrapper extends Component {

    handleRegister = () => {
        Accounts.createUser({
            email: this.refs.registerEmail.getValue(),
            password: this.refs.registerPassword.getValue(),
        }, function(err, res){
            console.log(err);
        });
    }

    handleLogin = () => {
        Meteor.loginWithPassword(this.refs.loginName.getValue(), this.refs.loginPassword.getValue(), function(err, res){
            if(err){
                console.log(err);
            }
        });

        Popup.close();
    }

    render() {
        return (
            <form role="form" className="form-horizontal">
                <div name="login">
                    <div className="form-group">
                        <TextField floatingLabelText="Username/Email" type="email" ref="loginName"/>
                    </div>
                    <div className="form-group">
                        <TextField floatingLabelText="Password" type="password" ref="loginPassword"/>
                    </div>
                    <div style={{textAlign: 'center'}}>
                        <RaisedButton label="Login" primary={true} style={style} onClick={this.handleLogin}/>
                    </div>
                </div>
            </form>
        )
    }
}

const style = {
    margin: 12,
}