import React, {PropTypes} from 'react';
import ReactDOM from 'react-dom';
import L from 'leaflet';
import { MapControl } from 'react-leaflet';

export default class ClickControl extends MapControl {
    /**
     * Create a new control type which holds all of the toolbox features
     */
    componentWillMount() {
        const clickControl = L.control({position: 'topleft'});  // position this under the zoom control
        const jsx = (
            <div {...this.props}>
                {this.props.children}
            </div>
        );

        clickControl.onAdd = function (map) {
            let div = L.DomUtil.create('div', 'leaflet-bar');
            ReactDOM.render(jsx, div);
            return div;
        };

        this.leafletElement = clickControl;
    }

    componentWillReceiveProps(nextProps){
        if(this.props.children !== nextProps.children){
            this.props.children = nextProps.children;
        }
    }
}
