import React, {Component, PropTypes} from 'react';
import {LatLng} from 'leaflet';
import {Polyline} from "react-leaflet";

export default class Edge extends Component {
    constructor(props){
        super(props);
    }

    render(){
        // Get position as an array of LatLng objects
        var positions = [new LatLng(this.props.edge.node1.lat, this.props.edge.node1.lng),
                         new LatLng(this.props.edge.node2.lat, this.props.edge.node2.lng)];

        return(
            <Polyline color={this.props.edge.selected ? "red" : "blue"} positions={positions}/>
        )
    }
}

Edge.propTypes = {
    edge: PropTypes.object.isRequired, // an array containing a list of neighbor nodes
}