import React, {PropTypes, Component} from 'react';
import {Meteor} from 'meteor/meteor';
import RouteControl from "./RouteControl";
import RoutePreviewComponent from "./RoutePreviewComponent";

export default class RouteGalleryContainer extends Component {
    constructor(props){
        super(props);
    }

    renderImages(){
        this.props.routeDetails[1].map((link) => {
            return(
                <img src={link} key={link}/>
            )
        })
    }

    render(){
        var width = 100 / this.props.routeDetails[1].length;

        return(
            <RouteControl>
                <div className="route-gallery-container">
                    {this.props.routeDetails[1].map(link => {
                        return (
                            <RoutePreviewComponent mapID={this.props.routeDetails[0][this.props.routeDetails[1].indexOf(link)]}
                                                   imageLink={link}
                                                   totalWidth={width}
                                                   uniqueKey={link}
                                                   loadMap={this.props.loadMap}/>
                        )
                     }
                    )}
                </div>
            </RouteControl>
        )
    }
}

RouteGalleryContainer.propTypes = {
    routeDetails: PropTypes.array.isRequired,

    loadMap: PropTypes.func.isRequired,
}