import React, {Component, PropTypes} from 'react';
import AutoComplete from 'material-ui/AutoComplete';

export default class RouteInput extends Component {
    constructor(props){
        super(props);
    }

    handleChange = (text) => {
        this.props.onSelection(text);
    }

    render(){
        return(
            <AutoComplete
                id={Random.id()}
                dataSource={this.props.options}
                maxSearchResults={7}
                menuCloseDelay={10}
                style={{
                    marginTop: '0px',
                    padding: '0px',
                }}
                filter={AutoComplete.fuzzyFilter}
                onUpdateInput={this.handleChange}
                floatingLabelText={this.props.placeholder}
            />

        )
    }
}

RouteInput.propTypes = {
    options: PropTypes.array.isRequired,
    onSelection: PropTypes.func.isRequired,
    placeholder: PropTypes.string.isRequired,
}