import React, {Component, PropTypes} from 'react';

export default class GeneralButton extends Component {
    constructor(props){
        super(props);
    }

    /**
     * Handles click events for this button
     * @param event Click event for the button
     */
    handleClick = (event) => {
        this.props.onSelect("GENERAL");
    }
    
    /**
     * We create a button with the same style as a leaflet button, but use redux actions to handle click events
     * @returns {XML}
     */
    render() {
        return(
            <button onClick={this.handleClick} className="click-button easy-button-button button-state">
                <img className="fix-image" src="../../../../icons/toolbarGeneral.png"/>
            </button>
        )
    }
}

GeneralButton.propTypes = {
    onSelect: PropTypes.func.isRequired,
}