import React, { PropTypes, Component } from 'react';
import { Meteor } from 'meteor/meteor';

import Paper from 'material-ui/Paper';
import RaisedButton from 'material-ui/RaisedButton';

/**
 * A base clase for the thumbnail-like component in the main package manager interface
 */
export default class PluginGalleryBase extends Component {
    handleClick = () => {
      Meteor.call('plugins.togglePlugin', this.props.name);
    }

    render() {
      return (
        <Paper className="plugin-gallery-container">
          <img className="plugin-img" src={this.props.imgSrc} alt="" />
          {this.props.text}
          <RaisedButton onClick={this.handleClick} primary label={this.props.installed ? 'Uninstall' : 'Install'} />
        </Paper>
      );
    }
}

PluginGalleryBase.propTypes = {
  installed: PropTypes.bool,
  name: PropTypes.string.isRequired,

  imgSrc: PropTypes.string.isRequired,
  text: PropTypes.string.isRequired,
};
