import React, {PropTypes} from 'react';
import PluginBase from "../../PluginBase";
import PluginGalleryBase from "../../PluginGalleryBase";

export default class HospitalDirectoryPlugin extends PluginBase {

    constructor(props){
        super(props, props.data.name);
    }

    renderInfo = () => {
        this.props.loadInfo(
            <div className="plugin-gallery-info-text">
                Information about the Hospital Directory would go here.
            </div>
        );
    }

    render(){
        return(
            <div className="plugin-gallery-item" onClick={this.renderInfo}>
                <PluginGalleryBase
                    installed={this.props.data.installed}
                    name={this.props.data.name}
                    imgSrc="../../../../../icons/plugins/hospital_directory.png"
                    text="Hospital Directory"/>
            </div>
        )
    }
}

HospitalDirectoryPlugin.propTypes = {
    data: PropTypes.object.isRequired,
    loadInfo: PropTypes.func.isRequired,
}