import React, { Component } from 'react';
import { Meteor } from 'meteor/meteor';
import { Card, CardHeader } from 'material-ui/Card';
import Dialog from 'material-ui/Dialog';
import TextField from 'material-ui/TextField';
import RaisedButton from 'material-ui/RaisedButton';

const cardStyle = {
  cursor: 'pointer',
};

class SidebarHeader extends Component {
  constructor(props) {
    super(props);

    this.state = {
      open: false,
    };
  }

    openLogin = () => {
      this.setState({ open: true });
    }
    closeLogin = () => {
      this.setState({ open: false });
    }
    handleLogin = () => {
      this.setState({ open: false });

      Meteor.loginWithPassword(this.loginName.getValue(), this.loginPassword.getValue());
    }

    render() {
      const username = Meteor.user() ? Meteor.user().username : 'Atlas';
      const userTitle = Meteor.user() ? 'Administrator' : 'General User';

      return (
        <Card style={cardStyle} onClick={this.openLogin}>
          <CardHeader
            title={username}
            subtitle={userTitle}
            avatar="../../react.svg"
          />
          <Dialog
            title="Log In"
            modal={false}
            open={this.state.open}
            onRequestClose={this.closeLogin}
            style={{ width: '40%', left: '30%', textAlign: 'center' }}
          >
            <TextField ref={(loginName) => { this.loginName = loginName; }} floatingLabelText="Username/Email" />
            <TextField ref={(loginPassword) => { this.loginPassword = loginPassword; }} floatingLabelText="Password" type="password" />
            <RaisedButton style={{ marginTop: '10px' }} onClick={this.handleLogin}>Login</RaisedButton>
          </Dialog>
        </Card>
      );
    }
}

export default SidebarHeader;
