import React, { Component } from 'react';
import { Meteor } from 'meteor/meteor';
import PropTypes from 'prop-types';
import Dialog from 'material-ui/Dialog';
import RaisedButton from 'material-ui/RaisedButton';
import AutoComplete from 'material-ui/AutoComplete';

class RemoveMapDialog extends Component {
  constructor(props) {
    super(props);

    this.state = {
      dataSource: [],
      mapName: '',
    };
  }

  componentDidMount() {
    Meteor.call('maps.getMapNames', function(err, res) {
      this.setState({ dataSource: res });
    }.bind(this));
  }

  selectMap = (map) => {
    this.setState({ mapName: map });
  }

  handleSubmit = () => {
    Meteor.call('maps.removeMap', this.state.mapName);
    this.props.onClose();
  }

  render() {
    return (
      <Dialog
        title="Delete Map"
        modal={false}
        open={this.props.isOpen}
        onRequestClose={this.props.onClose}
        style={{ width: '40%', left: '30%', textAlign: 'center' }}
      >
        <AutoComplete onUpdateInput={this.selectMap} dataSource={this.state.dataSource} floatingLabelText="Map Name" />
        <RaisedButton onClick={this.handleSubmit} style={{ marginTop: '10px' }}>Submit</RaisedButton>
      </Dialog>
    );
  }
}

RemoveMapDialog.propTypes = {
  onClose: PropTypes.func.isRequired,
  isOpen: PropTypes.bool.isRequired,
};

export default RemoveMapDialog;
