import { Meteor } from 'meteor/meteor';

import '/imports/startup/server/fixtures/maps';
import '/imports/api/collections/maps';
import '/imports/api/collections/mapimages';
import '/imports/api/collections/plugins';

import {pluginList} from "../imports/ui/pluginmanager/PluginList";

Meteor.startup(() => {

    /**
     * Register all plugins into the database if they haven't been registered yet (ie they don't exist in the
     * database yet). This check is handled by the database call.
     */
    for(var plugin in pluginList){
        if(pluginList.hasOwnProperty(plugin)){ // verify its not from a prototype
            Meteor.call('plugins.registerPlugin', pluginList[plugin]);
        }
    }

    /**
     * Create any admin accounts on startup
     */
    if(!Accounts.findUserByUsername("admin")) {
        Accounts.createUser({
            email: "admin@admin.com",
            username: "admin",
            password: "password",
        });
    }
});
